import * as interfaces from '../interfaces/index.js';
import { WorkerEvent } from '../classes.workerevent.js';

export const adsTxtResponder: interfaces.TRequestResponser = async (cWorkerEventArg: WorkerEvent) => {
  if (cWorkerEventArg.responderInstruction.type === 'ads.txt') {
    const response = new Response('google.com, pub-4104137977476459, DIRECT, f08c47fec0942fa0\n', {
      headers: {
        'Content-Type': 'text/plain; charset=utf-8'
      }
    })
    cWorkerEventArg.setResponse(response);
  }

};